#!/bin/bash

set -x

# Copyright (C) 2023 by Mihai Moldovan <ionic@ionic.de>
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 3 of the License.
#
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>

GETTEXT_DOMAIN="PyHoca-GUI"

cp "po/${GETTEXT_DOMAIN}.pot" "po/${GETTEXT_DOMAIN}.pot~"

pushd 'po/' > '/dev/null'

intltool-update --pot --gettext-package "${GETTEXT_DOMAIN}" || cp "${GETTEXT_DOMAIN}.pot~" "${GETTEXT_DOMAIN}.pot"

popd > '/dev/null'

rm -f "po/${GETTEXT_DOMAIN}.pot~"
